package com.kingdee.eas.custom.esign;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.esign.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class EsignLog extends DataBase implements IEsignLog
{
    public EsignLog()
    {
        super();
        registerInterface(IEsignLog.class, this);
    }
    public EsignLog(Context ctx)
    {
        super(ctx);
        registerInterface(IEsignLog.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("D769F653");
    }
    private EsignLogController getController() throws BOSException
    {
        return (EsignLogController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public EsignLogInfo getEsignLogInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getEsignLogInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public EsignLogInfo getEsignLogInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getEsignLogInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public EsignLogInfo getEsignLogInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getEsignLogInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public EsignLogCollection getEsignLogCollection() throws BOSException
    {
        try {
            return getController().getEsignLogCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public EsignLogCollection getEsignLogCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getEsignLogCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public EsignLogCollection getEsignLogCollection(String oql) throws BOSException
    {
        try {
            return getController().getEsignLogCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}